Skip to main content
`Ctrl`+`K`

# BVCopyColumn

Copies the values from one of the columns to another one.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVCopyColumn(BV V,PetscInt j,PetscInt i)

Logically Collective

## Input Parameters

- V - basis vectors context

- j - the index of the source column

- i - the index of the destination column

## See Also

BV: Basis Vectors, `BVCopy()`, `BVCopyVec()`

## Level

beginner

## Location

src/sys/classes/bv/interface/bvbasic.c

## Implementations

BVCopyColumn_Contiguous() in src/sys/classes/bv/impls/contiguous/contig.c
BVCopyColumn_Mat() in src/sys/classes/bv/impls/mat/bvmat.c
BVCopyColumn_Svec() in src/sys/classes/bv/impls/svec/svec.c
BVCopyColumn_Tensor() in src/sys/classes/bv/impls/tensor/bvtensor.c
BVCopyColumn_Vecs() in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages